define("wildFuryJackpotInfoPanelApi", ["componentmodelComponentApi", "gameLayoutApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, gameLayoutApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof wildFuryJackpotInfoPanelApi == 'undefined') {
            var wildFuryJackpotInfoPanelApi = {};
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration = function() {};
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration = ck_implements(wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration, componentmodelComponentApi.IComponentDeclaration);
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration.__name__ = ["wildFuryJackpotInfoPanelApi", "JackpotInfoPanelDeclaration"];
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration.prototype.getImplementedPorts = function() {
            return [wildFuryJackpotInfoPanelApi.JackpotInfoPanelImplementationPort];
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration.prototype.getUsedPorts = function() {
            return [wildFuryJackpotInfoPanelApi.JackpotInfoPanelPort, gameLayoutApi.IGameLayoutPort];
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration.prototype.__class__ = wildFuryJackpotInfoPanelApi.JackpotInfoPanelDeclaration;

        wildFuryJackpotInfoPanelApi.JackpotInfoPanelImplementationPort = function() {}
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelImplementationPort.prototype = {

            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getUpdateLevel: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getUpdateBattery: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShowPanel: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getAnimationCompleted: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getUpdateBetMultiplier: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPayload = function(level, values, wildNumber, wildsLadder) {
            this.values = values;
            this.level = level;
            this.wildNumber = wildNumber;
            this.wildsLadder = wildsLadder;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPayload.__name__ = ["wildFuryJackpotInfoPanelApi", "JackpotInfoPanelPayload"];
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPayload.prototype.values = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPayload.prototype.level = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPayload.prototype.wildNumber = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPayload.prototype.wildsLadder = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPayload.prototype.__class__ = wildFuryJackpotInfoPanelApi.JackpotInfoPanelPayload;

        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPort = function() {}
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPort.prototype = {

            show: function(payload) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            },
            updateLevel: function(payload) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            },
            updateBattery: function(payload) {
                return {
                    arguments: ["*"],
                    returns: "void"
                };
            },
            hide: function() {
                return {
                    arguments: [],
                    returns: "void"
                };
            },
            getAnimationCompleted: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            updateBetMultiplier: function(value) {
                return {
                    arguments: ["number"],
                    returns: "void"
                };
            }
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory = function() {};
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory = ck_implements(wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory, componentmodelComponentApi.IPortFactory);
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory.__name__ = ["wildFuryJackpotInfoPanelApi", "JackpotInfoPanelPortFactory"];
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory.prototype.provide = function(channel) {
            return new wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl(channel);
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory.prototype["use"] = function(channel) {
            return new wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl(channel);
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory.prototype.__class__ = wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortFactory;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl = function(bus) {
            this.updateBetMultiplierTopic = new clientkernelEventbusApi.Topic("JackpotInfoPanel:updateBetMultiplier");
            this.animationCompletedTopic = new clientkernelEventbusApi.Topic("JackpotInfoPanel:animationEnd");
            this.showTopic = new clientkernelEventbusApi.Topic("JackpotInfoPanel:show");
            this.hideTopic = new clientkernelEventbusApi.Topic("JackpotInfoPanel:hide");
            this.updateBatteryTopic = new clientkernelEventbusApi.Topic("JackpotInfoPanel:updateBattery");
            this.updateLevelTopic = new clientkernelEventbusApi.Topic("JackpotInfoPanel:showSummary");
            this.updateLevelTopic.connect(bus);
            this.updateBatteryTopic.connect(bus);
            this.hideTopic.connect(bus);
            this.showTopic.connect(bus);
            this.animationCompletedTopic.connect(bus);
            this.updateBetMultiplierTopic.connect(bus);
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl = ck_implements(wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl, wildFuryJackpotInfoPanelApi.JackpotInfoPanelPort);
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl = ck_implements(wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl, wildFuryJackpotInfoPanelApi.JackpotInfoPanelImplementationPort);
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.__interfaces__ = [wildFuryJackpotInfoPanelApi.JackpotInfoPanelPort, wildFuryJackpotInfoPanelApi.JackpotInfoPanelImplementationPort];
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.__name__ = ["wildFuryJackpotInfoPanelApi", "JackpotInfoPanelPortImpl"];
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.updateLevelTopic = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.updateBatteryTopic = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.hideTopic = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.showTopic = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.animationCompletedTopic = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.updateBetMultiplierTopic = null;
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.show = function(payload) {
            this.getShowPanel().publish(payload);
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.updateLevel = function(payload) {
            this.getUpdateLevel().publish(payload);
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.hide = function() {
            this.getHide().publish(null);
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.getUpdateLevel = function() {
            return this.updateLevelTopic;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.getShowPanel = function() {
            return this.showTopic;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.getHide = function() {
            return this.hideTopic;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.getAnimationCompleted = function() {
            return this.animationCompletedTopic;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.updateBetMultiplier = function(value) {
            this.getUpdateBetMultiplier().publish(value);
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.getUpdateBetMultiplier = function() {
            return this.updateBetMultiplierTopic;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.updateBattery = function(payload) {
            this.getUpdateBattery().publish(payload);
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.getUpdateBattery = function() {
            return this.updateBatteryTopic;
        };
        wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl.prototype.__class__ = wildFuryJackpotInfoPanelApi.JackpotInfoPanelPortImpl;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: wildFuryJackpotInfoPanelApi
        };
    });
//# sourceURL=wildFuryJackpotInfoPanelApi.js